## lm-old-socket

lm-old-socket

## Functions

void | (*IncomingDataFunc) ()
void | (*SocketClosedFunc) ()
void | (*ConnectResultFunc) ()
LmOldSocket * | lm_old_socket_create ()
gint | lm_old_socket_write ()
void | lm_old_socket_flush ()
void | lm_old_socket_close ()
LmOldSocket * | lm_old_socket_ref ()
void | lm_old_socket_unref ()
gboolean | lm_old_socket_starttls ()
gboolean | lm_old_socket_set_keepalive ()
gchar * | lm_old_socket_get_local_host ()
void | lm_old_socket_asyncns_cancel ()
gboolean | lm_old_socket_get_use_starttls ()
gboolean | lm_old_socket_get_require_starttls ()

## Types and Values

| LmOldSocket

## Description

## Functions

### IncomingDataFunc ()

    void
    (*IncomingDataFunc) (LmOldSocket *socket,
                         const gchar *buf,
                         gpointer user_data);

### SocketClosedFunc ()

    void
    (*SocketClosedFunc) (LmOldSocket *socket,
                         LmDisconnectReason reason,
                         gpointer user_data);

### ConnectResultFunc ()

    void
    (*ConnectResultFunc) (LmOldSocket *socket,
                          gboolean result,
                          gpointer user_data);

### lm_old_socket_create ()

    LmOldSocket *
    lm_old_socket_create (GMainContext *context,
                          IncomingDataFunc data_func,
                          SocketClosedFunc closed_func,
                          ConnectResultFunc connect_func,
                          gpointer user_data,
                          LmConnection *connection,
                          const gchar *server,
                          const gchar *domain,
                          guint port,
                          LmSSL *ssl,
                          LmProxy *proxy,
                          GError **error);

### lm_old_socket_write ()

    gint
    lm_old_socket_write (LmOldSocket *socket,
                         const gchar *buf,
                         gint len);

### lm_old_socket_flush ()

    void
    lm_old_socket_flush (LmOldSocket *socket);

### lm_old_socket_close ()

    void
    lm_old_socket_close (LmOldSocket *socket);

### lm_old_socket_ref ()

    LmOldSocket *
    lm_old_socket_ref (LmOldSocket *socket);

### lm_old_socket_unref ()

    void
    lm_old_socket_unref (LmOldSocket *socket);

### lm_old_socket_starttls ()

    gboolean
    lm_old_socket_starttls (LmOldSocket *socket);

### lm_old_socket_set_keepalive ()

    gboolean
    lm_old_socket_set_keepalive (LmOldSocket *socket,
                                 int delay);

### lm_old_socket_get_local_host ()

    gchar *
    lm_old_socket_get_local_host (LmOldSocket *socket);

### lm_old_socket_asyncns_cancel ()

    void
    lm_old_socket_asyncns_cancel (LmOldSocket *socket);

### lm_old_socket_get_use_starttls ()

    gboolean
    lm_old_socket_get_use_starttls (LmOldSocket *socket);

### lm_old_socket_get_require_starttls ()

    gboolean
    lm_old_socket_get_require_starttls (LmOldSocket *socket);

## Types and Values

### LmOldSocket

    typedef struct _LmOldSocket LmOldSocket;